require("../../../_virtual/_rolldown/runtime.cjs");
let lit = require("lit");
let lit_directives_style_map_js = require("lit/directives/style-map.js");
//#region src/components/lukso-icon/icons/menu-2.ts
var menu2 = (options) => {
	return lit.html`<svg
    width="24"
    height="24"
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    style=${(0, lit_directives_style_map_js.styleMap)({
		width: `${options.width}px`,
		height: `${options.height}px`
	})}
  >
    <path
      d="M19 7H9"
      stroke="var(--${options.color})"
      stroke-width="${options.strokeWidth}"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M19 12H9"
      stroke="var(--${options.color})"
      stroke-width="${options.strokeWidth}"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M19 17H9"
      stroke="var(--${options.color})"
      stroke-width="${options.strokeWidth}"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M6 7H5"
      stroke="var(--${options.color})"
      stroke-width="${options.strokeWidth}"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M6 12H5"
      stroke="var(--${options.color})"
      stroke-width="${options.strokeWidth}"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
    <path
      d="M6 17H5"
      stroke="var(--${options.color})"
      stroke-width="${options.strokeWidth}"
      stroke-linecap="round"
      stroke-linejoin="round"
    />
  </svg> `;
};
//#endregion
exports.menu2 = menu2;
